Name:           python-etuples
Version:        0.3.10
Release:        %mkrel 1
Summary:        Python S-expression emulation using tuple-like objects
Group:          Development/Python

License:        AGPL
URL:            https://github.com/pythological/etuples
Source:         %{pypi_source etuples}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Python S-expression emulation using tuple-like objects.}

%description %_description

%package -n     python3-etuples
Summary:        %{summary}

%description -n python3-etuples %_description


%prep
%autosetup -p1 -n etuples-%{version}
# relax requirement
sed -ie "s/setuptools>=80.0.0/setuptools/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files etuples


%check
%pyproject_check_import
%tox


%files -n python3-etuples -f %{pyproject_files}
%doc README.md


%changelog
* Fri Jul 18 2025 papoteur <papoteur> 0.3.10-1.mga10
+ Revision: 2257174
- new version 0.3.10

* Wed Jul 02 2025 umeabot <umeabot> 0.3.9-3.mga10
+ Revision: 2242202
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 0.3.9-2.mga10
+ Revision: 2159718
- rebuild for python3.13
+ danf <danf>
- Update links to https:

* Mon Mar 04 2024 papoteur <papoteur> 0.3.9-1.mga10
+ Revision: 2047495
- imported for pytensor
- fix summary
- imported package python-etuples

